Package org.eclipse.cdt.core.dom.ast.tag

# Interface ITagReader

public interface ITagReader
An interface that provides read-only access to the tags associated with a particular binding.

Since:
  5.5
See Also:
  - `ITag`
  - `ITagService`

## Method Summary

Modifier and Type
Method
Description
`ITag`
`getTag(String id)`
Looks for a tag for the receiver, returns null if there is no such tag.
`Iterable<ITag>`
`getTags()`
Returns all tags known to the receiver.

## Method Details

### getTag

ITag getTag(String id)
Looks for a tag for the receiver, returns null if there is no such tag.

Parameters:
  `id` - A string that uniquely identifies the tag to be returned. This value was provided by the contributor when the tag was created (see `ITagWriter.createTag(String, int)`).

### getTags

Iterable<ITag> getTags()
Returns all tags known to the receiver. Does not return null.